function handleImageDrop(event) {
	event.preventDefault()
	displayImage(event.dataTransfer.files[0])
}

function handleImageUpload(event) {
	const file = event.target.files[0]
	const img = new Image()
	img.onload = () => {
		if (img.width !== 512 || img.height !== 512) {
			alert('Image must be 512x512 pixels.')
			return
		}
		displayImage(event.target.files[0])
	}
	img.src = URL.createObjectURL(file)
}

function displayImage(file) {
	const reader = new FileReader()
	reader.onload = function (e) {
		const image = document.getElementById('image-preview')
		image.style.display = 'block'
		image.src = e.target.result

		const img = new Image()
		img.onload = () => {
			generateReducedColorSVG(img)
		}
		img.src = URL.createObjectURL(file)

		updatePackInfo()
	}
	reader.readAsDataURL(file)
}
