function fetchPackEditor(packName) {
    fetch('packEditor/packDetails.html')
        .then((response) => {
            if (!response.ok) {
                throw new Error('Failed to load packDetails.html')
            }
            return response.text()
        })
        .then((htmlContent) => {
            showPackEditor(packName, htmlContent)
            requestPackInfo(packName)
            listPackSamples(packName)
            requestKitAndPadMetadata()
            attachListenersToForm()
        })
        .catch((error) => {
            console.error('Error loading HTML:', error)
        })
}

function addKeyboardEventListener(control) {
    control.addEventListener('keydown', (event) => {
        if (event.key === 'Enter') {
            event.target.blur()
        }
    })

    control.addEventListener('blur', () => {
        updatePackInfo()
    })
}

function attachListenersToForm() {
    const formControls = [
        'title',
        'description',
        'short-description',
        'author',
        'author-link',
        'preview-link',
        'free-toy',
        'tags',
    ]

    formControls.forEach((control) => {
        addKeyboardEventListener(document.getElementById(control))
    })

    document.getElementById('has-store-link').addEventListener('change', (event) => {
        updatePackInfo()
    })

    document.getElementById('color-picker').addEventListener('input', function () {
        const selectedColor = this.value
        document.getElementById('color-picker').value = selectedColor
        document.getElementById('color-picker').style.backgroundColor = selectedColor
        updatePackInfo()
    })

    document
        .getElementById('image-input')
        .addEventListener('change', (event) => handleImageUpload(event))
}
