function setPadMetadata(padMetadata) {
	const json = JSON.parse(padMetadata)
	if (json.packName !== editingPack) {
		console.error(`Pack name ${json.packName} doesnt match the expected ${editingPack}`)
		return
	}
	document.getElementById('pack-pads-list-title').textContent = 'Pads (' + json.pads.length + ')'

	const tableBody = document.getElementById('pack-pads-list')
	tableBody.innerHTML = ''

	json.pads.forEach((padData, index) => {
		const row = document.createElement('tr')
		row.dataset.index = index
		row.dataset.id = padData['label']

		row.appendChild(makeLabelCell(padData['id'], true))
		row.appendChild(makeLabelCell(padData['sampleId'], true))
		row.appendChild(makeLabelCell(padData['label']))
		row.appendChild(makeLabelCell(limit(padData['attack']), true))
		row.appendChild(makeLabelCell(limit(padData['release']), true))
		row.appendChild(makeLabelCell(padData['tone'], true))
		row.appendChild(makeLabelCell(padData['pan'], true))
		row.appendChild(makeLabelCell(padData['pitch'], true))
		row.appendChild(makeLabelCell(padData['vol'], true))
		row.appendChild(makeLabelCell(padData['chokeGroup'], true))
		row.appendChild(makeBooleanCell(padData['oneshot']))
		row.appendChild(makeBooleanCell(padData['pingpong']))
		row.appendChild(makeBooleanCell(padData['reverse']))
		row.appendChild(makeBooleanCell(padData['looping']))
		row.appendChild(makeBooleanCell(padData['hasLoopPoint']))
		row.appendChild(makeLabelCell(padData['loopPoint'], true))
		row.appendChild(makeLabelCell(padData['xfade'], true))
		row.appendChild(makeLabelCell(padData['start'], true))
		row.appendChild(makeLabelCell(padData['end'], true))
		row.appendChild(makeBooleanCell(padData['stretching']))
		row.appendChild(makeLabelCell(padData['stretch'], true))
		row.appendChild(makeLabelCell(padData['stretchLength'], true))

		tableBody.appendChild(row)
	})
}
