function handleAudioDrop(event) {
	event.preventDefault()
	const file = event.dataTransfer.files[0]
	if (file && file.type.startsWith('audio/')) {
		processAudioFile(file)
	}
}

function handleAudioUpload(event) {
	const file = event.target.files[0]
	if (file && file.type.startsWith('audio/')) {
		processAudioFile(file)
	}
}

function processAudioFile(file) {
	const reader = new FileReader()

	reader.onload = function (e) {
		const audioPreview = document.getElementById('audio-preview')
		audioPreview.src = e.target.result
		audioPreview.style.display = 'block'
		audioPreview.load()
		updatePackInfo()
	}

	reader.readAsDataURL(file)
}
